<?php ob_start(); 

$documento=$_REQUEST["documento"];

include "../conexion.php";
$primerapellido=""; 	$segundoapellido=""; 	$primernombre=""; 	$segundonombre=""; 	
$tipodocumento="";$departamentod=""; $municipiod=""; $fechanacimiento=""; $departamento=""; $municipio=""; 	
$genero=""; $estadocivil=""; $rh=""; $rhsigno="";$direccion=""; $telefono=""; $email="";$eps=""; 	
$riesgoslaborales="";$fondopension="";$estado="";$fondocesantias="";$observaciones=""; 	
$localidad="";
$responsable="";$parentesco="";$telefonor="";$emailr="";

date_default_timezone_set('America/Bogota');
$hora=date("H:i:s");
$fecha=date("Y-m-d");

	
?>
﻿﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />


</head>

<body>
 
  <?php
  
  function edad($fecha_nacimiento) { 
    $tiempo = strtotime($fecha_nacimiento); 
    $ahora = time(); 
    $edad = ($ahora-$tiempo)/(60*60*24*365.25); 
    $edad = floor($edad); 
    return $edad; 
}
	
  if($documento<>'')
	{  	      
	  $sql_datos =mysqli_query($conexion,"select documento,primerapellido,segundoapellido,primernombre,
				  									segundonombre,tipodocumento,departamentod,municipiod,
													fechanacimiento,departamento,municipio,genero,estadocivil,rh,rhsigno,
													direccion,telefono,email,eps,riesgoslaborales,fondopension,fondocesantias,
													observacion,estado
											  FROM empleado
                                              where documento='".$documento."'");
							while($datos= mysqli_fetch_row($sql_datos))
							{ 
								$documento=$datos[0]; 						
								$primerapellido=$datos[1]; 	
								$segundoapellido=$datos[2]; 	
								$primernombre=$datos[3]; 	
								$segundonombre=$datos[4]; 	
								$tipodocumento=$datos[5]; 	
								$departamentod=$datos[6]; 	
								$municipiod=$datos[7]; 	
								$fechanacimiento=$datos[8]; 	
								$departamento=$datos[9]; 	
								$municipio=$datos[10]; 	
								$genero=$datos[11]; 	
								$estadocivil=$datos[12]; 	
								$rh=$datos[13]; 	
								$rhsigno=$datos[14]; 	
								$direccion=$datos[15]; 	
								$telefono=$datos[16]; 	
								$email=$datos[17]; 	
								$eps=$datos[18]; 	
								$riesgoslaborales=$datos[19]; 	
								$fondopension=$datos[20]; 	
								$fondocesantias=$datos[21]; 	
								$observacion=$datos[22]; 	
								$estado=$datos[23]; 	
						   }
		$edad=edad($fechanacimiento);

		$rs_genero=mysqli_query($conexion,"SELECT id,nombre FROM genero where id='".$genero."'");
		while($datos= mysqli_fetch_row($rs_genero)){$genero=$datos[1];}
		
		$rs_eps=mysqli_query($conexion,"SELECT id,nombre FROM eps  where id='".$eps."'");
		while($datos= mysqli_fetch_row($rs_eps)){$eps=$datos[1];}
		
		$rs_tipodocumento=mysqli_query($conexion,"SELECT id,nombre FROM tipodocumento  where id='".$tipodocumento."'");
		while($datos= mysqli_fetch_row($rs_tipodocumento)){$tipodocumento=$datos[1];}
		
		$rs_departamento=mysqli_query($conexion,"SELECT id,nombre FROM municipio  where id='".$municipiod."' and departamento='".$departamentod."'");
		while($datos= mysqli_fetch_row($rs_departamento)){$municipiod=$datos[1];}

		$rs_departamento=mysqli_query($conexion,"SELECT id,nombre FROM departamento  where id='".$departamentod."'");
		while($datos= mysqli_fetch_row($rs_departamento)){$departamentod=$datos[1];}



		$rs_estado=mysqli_query($conexion,"SELECT id,nombre FROM estado where id='".$estado."'");
		while($datos= mysqli_fetch_row($rs_estado)){$estado=$datos[1];}

		$rs_departamento=mysqli_query($conexion,"SELECT id,nombre FROM municipio  where id='".$municipio."' and departamento='".$departamento."'");
		while($datos= mysqli_fetch_row($rs_departamento)){$municipio=$datos[1];}

		$rs_departamentod=mysqli_query($conexion,"SELECT id,nombre FROM departamento where id='".$departamento."'");
		while($datos= mysqli_fetch_row($rs_departamentod)){$departamento=$datos[1];}
		
		$rs_rh=mysqli_query($conexion,"SELECT id,nombre FROM rh where id='".$rh."'");
		while($datos= mysqli_fetch_row($rs_rh)){$rh=$datos[1];}
		
		$rs_estadocivil=mysqli_query($conexion,"SELECT id,nombre FROM estadocivil where id='".$estadocivil."'");
		while($datos= mysqli_fetch_row($rs_estadocivil)){$estadocivil=$datos[1];}
		
		$rs_riesgoslaborales=mysqli_query($conexion,"SELECT id,nombre FROM riesgoslaborales where id='".$riesgoslaborales."'");
		while($datos= mysqli_fetch_row($rs_riesgoslaborales)){$riesgoslaborales=$datos[1];}
		
		$rs_fondopension=mysqli_query($conexion,"SELECT id,nombre FROM fondopension where id='".$fondopension."'");
		while($datos= mysqli_fetch_row($rs_fondopension)){$fondopension=$datos[1];}
		
		$rs_fondocesantias=mysqli_query($conexion,"SELECT id,nombre FROM fondocesantias where id='".$fondocesantias."'");	
		while($datos= mysqli_fetch_row($rs_fondocesantias)){$fondocesantias=$datos[1];}					   
						   



	$rs_foto=mysqli_query($conexion,"SELECT imagen FROM empleado_documentos where documento='".$documento."'");
	while($datos= mysqli_fetch_row($rs_foto)){$imagen=$datos[0];}
								   
  ?>
 

  
  
  <table width="100%" border="0">
    <tbody>
      <tr>
        <td width="48%" align="center" ><img src="../imagenes/goem.png" width="100" height="100" alt=""/></td>
        <td width="52%" align="center">
        HOJA DE VIDA<br>
        Fecha: <?php echo $fecha;?> Hora: <?php echo $hora;?> 
        </td>
      </tr>
    </tbody>
  </table>
 
  <table width="100%" border="1" cellpadding="0" cellspacing="0" style='font-size:12px' >
          <tbody>
          <tr>
            <td colspan="6" align="center"  style='background-color:#BBBBBB; color:#000000'>DATOS GENERALES EMPLEADO</td>
          </tr>
          
          <tr>
            <td width="22%" align="center" style='background-color:#BBBBBB; color:#000000'>DOCUMENTO</td>
            <td width="25%" colspan="2" align="center"  style='background-color:#BBBBBB; color:#000000'>TIPO DOCUMENTO</td>
            <td width="25%" align="center"  style='background-color:#BBBBBB; color:#000000'>ESTADO</td>
            <td width="25%" colspan="2" align="center"  style='background-color:#BBBBBB; color:#000000'>FECHA NACIMIENTO</td>
          </tr>
          <tr>
            <td align="center"><?php echo  $documento; ?></td>
            <td colspan="2" align="center"><?php  echo $tipodocumento; ?></td>
            <td align="center"><?php echo  $estado; ?></td>
            <td colspan="2" align="center"> <?php echo $fechanacimiento." / Edad: ".$edad; ?> </td>
          </tr>
          <tr>
            <td align="center"  style='background-color:#BBBBBB; color:#000000'>PRIMER NOMBRE</td>
            <td colspan="2" align="center"  style='background-color:#BBBBBB; color:#000000'>SEGUNDO. NOMBRE</td>
            <td align="center"  style='background-color:#BBBBBB; color:#000000'>PRIMER APELLIDO</td>
            <td colspan="2" align="center"  style='background-color:#BBBBBB; color:#000000'>SEGUNDO  APELLIDO</td>
          </tr>
          <tr>
            <td align="center"><?php echo $primernombre; ?></td>
            <td colspan="2" align="center"><?php echo $segundonombre; ?></td>
            <td align="center"><?php echo $primerapellido; ?></td>
            <td colspan="2" align="center"><?php echo $segundoapellido; ?></td>
          </tr>
          <tr>
            <td align="center"  style='background-color:#BBBBBB; color:#000000'>DEP. DOCUMENTO </td>
            <td colspan="2" align="center"  style='background-color:#BBBBBB; color:#000000'>MUN. DOCUMENTO </td>
            <td align="center"  style='background-color:#BBBBBB; color:#000000'>DEP. NACIMIENTO</td>
            <td colspan="2" align="center"  style='background-color:#BBBBBB; color:#000000'>MUN. NACIMIENTO</td>
          </tr>
          <tr>
            <td align="center"><?php echo $departamentod; ?></td>
            <td colspan="2" align="center"><?php echo $municipiod; ?></td>
            <td align="center"><?php echo $departamento; ?></td>
            <td colspan="2" align="center"><?php echo $municipio; ?> </td>
          </tr>
          <tr>
            <td align="center"  style='background-color:#BBBBBB; color:#000000'>GENERO</td>
            <td colspan="2" align="center"  style='background-color:#BBBBBB; color:#000000'>ESTADO CIVIL</td>
            <td align="center"  style='background-color:#BBBBBB; color:#000000'>RH</td>
            <td colspan="2" align="center"  style='background-color:#BBBBBB; color:#000000'>TELEFONO</td>
          </tr>
          <tr>
            <td  align="center"><?php echo $genero; ?></td>
            <td colspan="2" align="center"><?php echo $estadocivil; ?></td>
            <td align="center" ><?php echo $rh." ".$rhsigno; ?> </td>
            <td colspan="2" align="center"><?php echo $telefono; ?></td>
          </tr>
          <tr>
            <td colspan="3" align="center"  style='background-color:#BBBBBB; color:#000000'>DIRECCION</td>
            <td colspan="3" align="center"  style='background-color:#BBBBBB; color:#000000'>EMAIL</td>
            </tr>
          <tr>
            <td colspan="3" align="center"><?php echo $direccion; ?></td>
            <td colspan="3" align="center"><?php echo $email; ?></td>
            </tr>
          <tr>
            <td colspan="3" align="center"  style='background-color:#BBBBBB; color:#000000'>EPS</td>
            <td colspan="3" align="center"  style='background-color:#BBBBBB; color:#000000'>FONDO PENSION</td>
            </tr>
          <tr>
            <td colspan="3" align="center"><?php echo $eps; ?> </td>
            <td colspan="3" align="center"> <?php echo $fondopension; ?></td>
            </tr>
          <tr>
            <td colspan="3" align="center"  style='background-color:#BBBBBB; color:#000000'>RIESGOS LABORALES</td>
            <td colspan="3" align="center"  style='background-color:#BBBBBB; color:#000000'>FONDO CESANTIAS</td>
            </tr>
          <tr>
            <td colspan="3" align="center"><?php echo $riesgoslaborales; ?> </td>
            <td colspan="3" align="center"><?php echo $fondocesantias; ?></td>
            </tr>
          <tr>
            <td colspan="6" align="center"  style='background-color:#BBBBBB; color:#000000'>OBSERVACIONES</td>
          </tr>
          <tr>
            <td colspan="6" align="center"><?php echo $observaciones; ?></td>
          </tr>
          <tr>
          </tbody>
    </table>
    
<?php

 echo "<br><table width='100%' border='1' cellspacing='0' cellpadding='0' style='font-size:12px'> \n";
	   echo "<tr>
					<td colspan='5'  style='background-color:#BBBBBB; color:#000000' align='center'>CARGO</td>
				</tr>";
	   echo "<tr >
					<td width='25%'  style='background-color:#BBBBBB; color:#000000' align='center'>CARGO</td>
					<td width='25%'  style='background-color:#BBBBBB; color:#000000' align='center'>AREA</td>
					<td width='15%'  style='background-color:#BBBBBB; color:#000000' align='center'>FECHA INICIA</td>
					<td width='15%'  style='background-color:#BBBBBB; color:#000000' align='center'>FECHA TERMINA</td>
					<td width='20%'  style='background-color:#BBBBBB; color:#000000' align='center'>LUGAR TRABAJO</td>
				</tr>";
 $sql_datos =mysqli_query($conexion,"select id,cargo,area,fechainicia,fechatermina,departamento,municipio
						  		FROM empleado_cargo where docempleado='".$documento."'");
  while($datoslog= mysqli_fetch_row($sql_datos))
  {

	  $id=$datoslog[0];
	  $cargo=$datoslog[1];
	  $area=$datoslog[2];
	  $fechainicia=$datoslog[3];
	  $fechatermina=$datoslog[4];
	  $departamento=$datoslog[5];
	  $municipio=$datoslog[6];
	$narea="";
	  $sql_contar=mysqli_query($conexion,"SELECT nombre FROM departamento  where id='".$departamento."'");
	  while($datos= mysqli_fetch_row($sql_contar)){ $ndepartamento=$datos[0];}

	  $sql_contar=mysqli_query($conexion,"SELECT nombre FROM cargo  where id='".$cargo."'");
	  while($datos= mysqli_fetch_row($sql_contar)){ $ncargo=$datos[0];}

	  $sql_contar=mysqli_query($conexion,"SELECT nombre FROM area  where id='".$area."'");
	  while($datos= mysqli_fetch_row($sql_contar)){ $narea=$datos[0];}

	  $sql_contar=mysqli_query($conexion,"SELECT nombre FROM municipio  where id='".$municipio."'");
	  while($datos= mysqli_fetch_row($sql_contar)){ $nmunicipio=$datos[0];}
		
	if($fechatermina=="0000-00-00")	{$fechatermina="";}
		
			echo "<tr>
				<td>$ncargo</td>
				<td>$narea</td>
				<td>$fechainicia</td>
				<td>$fechatermina</td>
				<td>$ndepartamento</td>
				</tr>";
  }
 echo "</table>";
 
 
 echo "<br><table width='100%' border='1' cellspacing='0' cellpadding='0' style='font-size:12px'> \n";
	   echo "<tr>
					<td colspan='3'  style='background-color:#BBBBBB; color:#000000' align='center'>ESTUDIOS</td>
			</tr>";
	   echo "<tr>
					<td width='50%'  style='background-color:#BBBBBB; color:#000000' align='center'>INSTITUCION</td>
					<td width='30%'  style='background-color:#BBBBBB; color:#000000' align='center'>TITULO</td>
					<td width='20%'  style='background-color:#BBBBBB; color:#000000' align='center'>FECHA TERMINA</td>
				</tr>";
 $sql_datos =mysqli_query($conexion,"select id,institucion,titulo,fechatermina
						  FROM empleado_estudios where docempleado='".$documento."'");
  while($datoslog= mysqli_fetch_row($sql_datos))
  {

	  $id=$datoslog[0];
	  $institucion=$datoslog[1];
	  $titulo=$datoslog[2];
	  $fechatermina=$datoslog[3];
		

			echo "<tr>
				<td align='center'>$institucion</td>
				<td align='center'>$titulo</td>
				<td align='center'>$fechatermina</td>
				</tr>";
  }
 echo "</table>";


 echo "<BR><table width='100%' border='1' cellspacing='0' cellpadding='0'  style='font-size:12px' > \n";
	echo "<tr>
					<td colspan='5'  style='background-color:#BBBBBB; color:#000000' align='center'>EXPERIENCIA LABORAL</td>
				</tr>";
				
	   echo "<tr >
					<td width='30%'  style='background-color:#BBBBBB; color:#000000' align='center'>EMPRESA</td>
					<td width='20%'  style='background-color:#BBBBBB; color:#000000' align='center'>CARGO</td>
					<td width='10%'  style='background-color:#BBBBBB; color:#000000' align='center'>TIEMPO</td>
					<td width='20%'  style='background-color:#BBBBBB; color:#000000' align='center'>CAUSAL RETIRO</td>
					<td width='20%'  style='background-color:#BBBBBB; color:#000000' align='center'>TERMINA</td>
				</tr>";
 $sql_datos =mysqli_query($conexion,"select id,empresa,cargo,tiempo,causalretiro,fechatermina
						  FROM empleado_experiencialaboral where docempleado='".$documento."'");
  while($datoslog= mysqli_fetch_row($sql_datos))
  {

	  $id=$datoslog[0];
	  $empresa=$datoslog[1];
	  $cargo=$datoslog[2];
	  $tiempo=$datoslog[3];
	  $causalretiro=$datoslog[4];
	  $fechatermina=$datoslog[5];
		
			echo "<tr>
				<td>$empresa</td>
				<td>$cargo</td>
				<td>$tiempo</td>
				<td>$causalretiro</td>
				<td>$fechatermina</td>
				</tr>";
  }
 echo "</table>";
	}
	
	
    echo "<BR><table width='100%' border='1' cellspacing='0' cellpadding='0'  style='font-size:12px' > \n";
    echo "<tr>
			<td colspan='7'  style='background-color:#BBBBBB; color:#000000' align='center'>RADICACIONES</td>
		 </tr>";
	echo "<tr  bgcolor='#1C2023'>";
		echo "<td style='background-color:#BBBBBB; color:#000000' align='center' width='10%' >NO.RAD.</td>";
		echo "<td style='background-color:#BBBBBB; color:#000000' align='center' >TIPO RADICACION</td>";
		echo "<td style='background-color:#BBBBBB; color:#000000' align='center' width='10%'>FECHA RESOLUCION</td>";
		echo "<td style='background-color:#BBBBBB; color:#000000' align='center' width='10%'>RESOLUCION</td>";	
		echo "<td style='background-color:#BBBBBB; color:#000000' align='center' width='10%'>FECHA PAGO</td>";	
		echo "<td style='background-color:#BBBBBB; color:#000000' align='center' width='15%'>VALOR PAGO</td>";	
		echo "<td style='background-color:#BBBBBB; color:#000000' align='center' width='10%'>ESTADO</td>";	
		echo "</tr>";
		
	$c=1;
	$sql_datos =mysqli_query($conexion,"select noradicacion, tiporadicacion, detalleradicacion, 
   										fecharesolucion, resolucionreconocimiento, fechapago, 
										fecsis, horasis, usuario, estado, observacion,valorpago,id
										FROM radicacion 
										where documento='".$documento."'
										order by noradicacion desc");
	while($datos= mysqli_fetch_row($sql_datos))
	{ 
							
		   $noradicacion=$datos[0];  $tiporadicacion=$datos[1];  $detalleradicacion=$datos[2];
		   $fecharesolucion=$datos[3];    $resolucionreconocimiento=$datos[4];  $fechapago=$datos[5];  $fecsis=$datos[6];
		   $horasis=$datos[7]; $usuario=$datos[8];$estado=$datos[9]; $observacion=$datos[10]; $valorpago=$datos[11]; $id=$datos[12];
		   
			$sql_contar=mysqli_query($conexion,"SELECT nombre FROM radicacion_tipo where id='".$tiporadicacion."'");
		    while($datos= mysqli_fetch_row($sql_contar)){ $ntiporadicacion=$datos[0];}

			$sql_contar=mysqli_query($conexion,"SELECT nombre FROM estado where id='".$estado."'");
		    while($datos= mysqli_fetch_row($sql_contar)){ $nestado=$datos[0];}

		  
		   echo " <tr>";
					 echo "
					 <td>$noradicacion</td>
					 <td align='center'> $ntiporadicacion </td>";
					 echo "<td>$fecharesolucion</td>";
					 echo "<td>$resolucionreconocimiento</td>";
					 echo "<td>$fechapago</td>";
					 echo "<td>".number_format($valorpago)."</td>";
					 echo "<td>$nestado</td>";						 
					 echo "</tr>";
				$c=$c+1;
		 }
		echo "</table>";	



?>



</body>
</html>

<?php

require_once 'dompdf/autoload.inc.php';
use Dompdf\Dompdf;
$dompdf = new DOMPDF();
$dompdf->load_html(ob_get_clean());
$dompdf->render();
$pdf = $dompdf->output();
$filename = "Hoja_vida.pdf";
file_put_contents($filename, $pdf);
$dompdf->stream($filename);

?>